You are here: start » development_environment

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
development_environment [2018/10/26 15:33]
127.0.0.1 external edit
development_environment [2018/12/31 18:54] (current)
Christoph M. Becker Update
Line 9: Line 9:
 ===== Requirements ===== ===== Requirements =====
  
-  * **XH 1.6**: PHP ≥ 5.4.0; ​**XH 1.7**: PHP ≥ 5.6+  * **XH 1.7** and up: PHP ≥ 5.6 (including phpdbg)
   * a supported webserver   * a supported webserver
   * a Git client((on Windows [[https://​tortoisegit.org/​|TortoiseGit]] is recommendable))   * a Git client((on Windows [[https://​tortoisegit.org/​|TortoiseGit]] is recommendable))
Line 15: Line 15:
 To be able to use the CMSimple_XH build system (recommended),​ you'll need the following as well: To be able to use the CMSimple_XH build system (recommended),​ you'll need the following as well:
   * [[https://​getcomposer.org/​|Composer]]   * [[https://​getcomposer.org/​|Composer]]
-  * [[http://​xdebug.org/​|Xdebug]] 
   * **PHP 5**: [[http://​php.net/​manual/​en/​book.runkit.php|runkit]] (runkit ≥ 1.0.4 for XH 1.7); **PHP 7**: [[http://​php.net/​manual/​en/​book.uopz.php|uopz]] (XH 1.7 only)   * **PHP 5**: [[http://​php.net/​manual/​en/​book.runkit.php|runkit]] (runkit ≥ 1.0.4 for XH 1.7); **PHP 7**: [[http://​php.net/​manual/​en/​book.uopz.php|uopz]] (XH 1.7 only)
   * **XH 1.6**: [[http://​pear.php.net/​package/​phpDocumentor/​redirected|phpDocumentor 1]]; **XH 1.7**: [[http://​www.stack.nl/​~dimitri/​doxygen/​|Doxygen]]   * **XH 1.6**: [[http://​pear.php.net/​package/​phpDocumentor/​redirected|phpDocumentor 1]]; **XH 1.7**: [[http://​www.stack.nl/​~dimitri/​doxygen/​|Doxygen]]
Line 28: Line 27:
  
   * install PHP and the webserver   * install PHP and the webserver
-  * [[http://​xdebug.org/​docs/​install|install Xdebug]], and add ''​xdebug.max_nesting_level = 200''​ to your php.ini 
   * **PHP 5**: install runkit, and add ''​runkit.internal_override = 1''​ to your php.ini; **PHP 7**: install uopz   * **PHP 5**: install runkit, and add ''​runkit.internal_override = 1''​ to your php.ini; **PHP 7**: install uopz
   * **XH 1.6**: install phpDocumentor 1; **XH 1.7**: install Doxygen   * **XH 1.6**: install phpDocumentor 1; **XH 1.7**: install Doxygen
 
You are here: start » development_environment
Except where otherwise noted, content on this wiki is licensed under the following license: GNU Free Documentation License 1.3
Valid XHTML 1.0 Valid CSS Driven by DokuWiki